View Issue Details

IDProjectCategoryView StatusLast Update
16365Bug reportsInstallationpublic2020-07-08 14:22
ReporterGuernseyResearch Assigned Toollehar  
PriorityhighSeveritycrash 
Status closedResolutionfixed 
Product Version4.2.7 
Fixed in Version4.3.3 
Summary16365: index.php on fresh install may be incorrect or calls a bad template.
Description

Fresh install and today's update to 4.2.7 the file /index.php was not altered by the update.

calling the survey directory gives a 500 error. The error gives the same type of error as the bad template problem.

Steps To Reproduce

go to the root of the file system where the survey is located.

https://guernseyresearch.com/survey this calls the index.php and generates this error

500: Internal Server Error
Calling "__tostring" method on a "stdClass" object is not allowed.

An internal error occurred while the Web server was processing your request.

Please contact 4Administrator to report this problem.

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 4.2.7+200604
I will donate to the project if issue is resolvedNo
Browsercurrent firefox
Database & DB-VersionMySQL
Server OS (if known)
Webserver software & version (if known)
PHP Version7.3.17

Activities

ollehar

ollehar

2020-06-08 10:58

administrator   ~58215

Can you enable debug = 2 in application/config/config.php and try again, please? Paste the complete error message here.

GuernseyResearch

GuernseyResearch

2020-06-08 16:21

reporter   ~58221

enabled debug and called the root of the installation at https://guernseyresearch.com/survey

error information attached

Note: index.php appears to be identical for both LS3 and LS4. The LS3 installation on the same server works correctly.

error.txt (5,028 bytes)   
PHP notice

Object of class stdClass could not be converted to int

/usr/home/chrislt/public_html/guernseyresearch.com/survey/application/models/TemplateConfiguration.php(1527)

1515             [':template_name'=>$this->template_name]
1516         );
1517     }
1518 
1519     /**
1520      * Get showpopups value from config or template configuration
1521      */
1522     public function getshowpopups()
1523     {
1524         $config = (int) App()->getConfig('showpopups');
1525         if ($config == 2) {
1526             if (isset($this->oOptions->showpopups)) {
1527                 $this->showpopups = (int)$this->oOptions->showpopups;
1528             } else {
1529                 $this->showpopups = 1;
1530             }
1531         } else {
1532             $this->showpopups = $config;
1533         }
1534     }
1535 
1536     /**
1537      * Set each option key value to 'inherit' instead of having only one 'inherit' value for options.
1538      * Keys are fetched from parent xml configuration.
1539      */

Stack Trace
#0 	
–
 /usr/home/chrislt/public_html/guernseyresearch.com/survey/application/models/TemplateConfig.php(162): TemplateConfiguration->getshowpopups()

157         $this->setBasics($sTemplateName, $iSurveyId, $bUseMagicInherit);
158         $this->setMotherTemplates(); // Recursive mother templates configuration
159         $this->setThisTemplate(); // Set the main config values of this template
160         $this->createTemplatePackage($this); // Create an asset package ready to be loaded
161         $this->removeFiles();
162         $this->getshowpopups();
163 
164         if (!empty($sTemplateName) && !empty($iSurveyId)) {
165             self::$aPreparedToRender[$sTemplateName][$iSurveyId][$bUseMagicInherit] = $this;
166         }
167         return $this;

#1 	
–
 /usr/home/chrislt/public_html/guernseyresearch.com/survey/application/models/TemplateConfiguration.php(1158): TemplateConfig->prepareTemplateRendering("vanilla", null)

1153     {
1154         if (!empty($this->template->extends)) {
1155             $sMotherTemplateName   = $this->template->extends;
1156             $instance = TemplateConfiguration::getInstanceFromTemplateName($sMotherTemplateName);
1157             $instance->template->checkTemplate();
1158             $this->oMotherTemplate = $instance->prepareTemplateRendering($sMotherTemplateName, null);
1159         }
1160     }
1161 
1162     /**
1163      * @todo document me

#2 	
–
 /usr/home/chrislt/public_html/guernseyresearch.com/survey/application/models/TemplateConfig.php(158): TemplateConfiguration->setMotherTemplates()

153                 self::$aPreparedToRender[$sTemplateName][$iSurveyId][$bUseMagicInherit] = array();
154             }
155         }
156 
157         $this->setBasics($sTemplateName, $iSurveyId, $bUseMagicInherit);
158         $this->setMotherTemplates(); // Recursive mother templates configuration
159         $this->setThisTemplate(); // Set the main config values of this template
160         $this->createTemplatePackage($this); // Create an asset package ready to be loaded
161         $this->removeFiles();
162         $this->getshowpopups();
163 

#3 	
+
 /usr/home/chrislt/public_html/guernseyresearch.com/survey/application/models/Template.php(505): TemplateConfig->prepareTemplateRendering("fruity", null)
#4 	
+
 /usr/home/chrislt/public_html/guernseyresearch.com/survey/application/controllers/SurveysController.php(34): Template::getInstance("fruity")
#5 	
 unknown(0): SurveysController->actionPublicList("en")
#6 	
+
 /usr/home/chrislt/public_html/guernseyresearch.com/survey/framework/web/actions/CAction.php(109): ReflectionMethod->invokeArgs(SurveysController, array(null))
#7 	
+
 /usr/home/chrislt/public_html/guernseyresearch.com/survey/framework/web/actions/CInlineAction.php(47): CAction->runWithParamsInternal(SurveysController, ReflectionMethod, array())
#8 	
+
 /usr/home/chrislt/public_html/guernseyresearch.com/survey/framework/web/CController.php(308): CInlineAction->runWithParams(array())
#9 	
+
 /usr/home/chrislt/public_html/guernseyresearch.com/survey/framework/web/CController.php(286): CController->runAction(CInlineAction)
#10 	
+
 /usr/home/chrislt/public_html/guernseyresearch.com/survey/framework/web/CController.php(265): CController->runActionWithFilters(CInlineAction, array())
#11 	
+
 /usr/home/chrislt/public_html/guernseyresearch.com/survey/framework/web/CWebApplication.php(282): CController->run("")
#12 	
+
 /usr/home/chrislt/public_html/guernseyresearch.com/survey/framework/web/CWebApplication.php(141): CWebApplication->runController("")
#13 	
+
 /usr/home/chrislt/public_html/guernseyresearch.com/survey/framework/base/CApplication.php(185): CWebApplication->processRequest()
#14 	
+
 /usr/home/chrislt/public_html/guernseyresearch.com/survey/index.php(182): CApplication->run()
2020-06-08 14:10:58 Apache Yii Framework/1.1.22-dev
error.txt (5,028 bytes)   
GuernseyResearch

GuernseyResearch

2020-07-08 14:12

reporter   ~58776

This bug is resolved with Version 4.3.3+200707 and may be closed

Issue History

Date Modified Username Field Change
2020-06-05 19:35 GuernseyResearch New Issue
2020-06-08 10:58 ollehar Note Added: 58215
2020-06-08 10:58 ollehar Status new => feedback
2020-06-08 10:58 ollehar Severity minor => crash
2020-06-08 10:59 ollehar Priority none => high
2020-06-08 16:21 GuernseyResearch Note Added: 58221
2020-06-08 16:21 GuernseyResearch File Added: error.txt
2020-06-08 16:21 GuernseyResearch Status feedback => new
2020-07-08 14:12 GuernseyResearch Note Added: 58776
2020-07-08 14:22 ollehar Assigned To => ollehar
2020-07-08 14:22 ollehar Status new => closed
2020-07-08 14:22 ollehar Resolution open => fixed
2020-07-08 14:22 ollehar Fixed in Version => 4.3.3